Name:           perl-Excel-Template
Version:        0.34
Release:        8%{?dist}
Summary:        Create Excel files from templates
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Excel-Template/
Source0:        http://www.cpan.org/modules/by-module/Excel/Excel-Template-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.0
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Scalar)
BuildRequires:  perl(Spreadsheet::WriteExcel) >= 0.42
BuildRequires:  perl(Spreadsheet::WriteExcel::Utility)
BuildRequires:  perl(Test::Deep) >= 0.095
BuildRequires:  perl(Test::Exception) >= 0.21
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(XML::Parser)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a module used for templating Excel files. Its genesis came from the
need to use the same data structure as HTML::Template, but provide Excel files
instead. The existing modules don't do the trick, as they require replication
of logic that's already been done within HTML::Template.

%prep
%setup -q -n Excel-Template-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
chmod 644 lib/Excel/Template/Element/Backref.pm
chmod 644 lib/Excel/Template/Element/Cell.pm
chmod 644 lib/Excel/Template/Element/Range.pm
chmod 644 lib/Excel/Template/TextObject.pm
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.34-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.34-7
- Perl 5.22 rebuild

* Mon Sep 08 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.34-6
- Perl 5.20 mass

* Mon Sep 08 2014 Sven Nierlein <sven.nierlein@consol.de> 0.34-5
- removed more automatically recognized runtime requires

* Mon Jul 28 2014 Sven Nierlein <sven.nierlein@consol.de> 0.34-4
- removed automatically recognized runtime requires

* Tue May 20 2014 Sven Nierlein <sven.nierlein@consol.de> 0.34-3
- added perl compat requires
- changed build requires / requires according to cpanspec

* Sun Apr 06 2014 Sven Nierlein <sven.nierlein@consol.de> 0.34-2
- added perl build requires
- added Changes and README
- use DESTDIR as install target folder
- removed unnecessary build steps

* Sun Mar 23 2014 Sven Nierlein <sven.nierlein@consol.de> 0.34-1
- Specfile created
